## ros-melodic-cob-camera-sensors 0.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_camera_sensors)

find_package(catkin REQUIRED COMPONENTS cmake_modules cob_vision_utils cv_bridge image_transport message_filters message_generation polled_camera roscpp sensor_msgs)

find_package(Boost REQUIRED COMPONENTS filesystem thread)

find_package(OpenCV REQUIRED)

find_package(TinyXML REQUIRED)

### Message Generation ###
add_service_files(
  FILES
  AcquireCalibrationImages.srv
  GetTOFImages.srv
)

generate_messages(
   DEPENDENCIES sensor_msgs
)

catkin_package(
  CATKIN_DEPENDS cmake_modules cob_vision_utils message_runtime roscpp sensor_msgs
  DEPENDS Boost OpenCV
  INCLUDE_DIRS common/include
)

### INSTALL ###
install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES common/scripts/generateYAMLparameterFile.m
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/common/scripts
)

catkin_install_python(PROGRAMS ros/scripts/set_camera_info.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-cob-camera-sensors (0.7.3-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #409 <https://github.com/ipa320/cob_driver/issues/409> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint errors
  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.7.1-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.7.0-1stretch) stretch; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.15-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.14-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.13-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.12-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.11-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into feature/mimic_sim
  * Merge pull request #351 <https://github.com/ipa320/cob_driver/issues/351> from mikaelarguedas/add_tinyxml_dependency
    add tinyxml to package.xml
  * add tinyxml to package.xml
  * Merge pull request #349 <https://github.com/ipa320/cob_driver/issues/349> from ipa320/ipa-rmb-patch-1
    Changed Maintainer
  * Changed Maintainer
  * Contributors: Benjamin Maidel, Felix Messmer, Mikael Arguedas, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.10-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.9-1stretch) stretch; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.8-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.7-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.6-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.5-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.4-1stretch) stretch; urgency=high

  * boost revision
  * explicit dependency to boost
  * more cleanup
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.3-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.2-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.1-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.6.0-1stretch) stretch; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.5.7-1stretch) stretch; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.5.6-1stretch) stretch; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * Contributors: Alexander Bubeck, Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-camera-sensors (0.5.3-1stretch) stretch; urgency=high

  * removed obsolete files
  * install tags
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 30 Mar 2014 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-cob-camera-sensors
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, libtinyxml-dev, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-cob-vision-utils, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: http://ros.org/wiki/cob_camera_sensors
Standards-Version: 3.9.2

Package: ros-melodic-cob-camera-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, libtinyxml-dev, ros-melodic-cmake-modules, ros-melodic-cob-vision-utils, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-polled-camera, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs
Description: For more information read the readme.htm file located in

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-camera-sensors//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
